<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__common__api__gap__functions" kind="group">
    <compoundname>group_ble_common_api_gap_functions</compoundname>
    <title>GAP Central and Peripheral Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1gab2eb1c61ac4f2af5911d744f29f184e6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_SetIoCap</definition>
        <argsstring>(const cy_en_ble_gap_iocap_t *param)</argsstring>
        <name>Cy_BLE_GAP_SetIoCap</name>
        <param>
          <type>const <ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1ga1da885d4792bb5be0df50e08760cce29">cy_en_ble_gap_iocap_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function sets the IO capability that is used during pairing procedure. </para>        </briefdescription>
        <detaileddescription>
<para>This is a blocking function. No event is generated on calling this function.</para><para>The input capabilities are described in the following table:</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Capability &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;No input &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Device does not have the ability to indicate "yes" or "no". &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;Yes/No &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Device has at least two buttons that can be easily mapped to "yes" and "no" or the device has a mechanism whereby the user can indicate either "yes" or "no". &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;Keyboard &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Device has a numeric keyboard that can input the numbers "0" through "9" and a confirmation. Device also has at least two buttons that can be easily mapped to "yes" and "no" or the device has a mechanism whereby the user can indicate either "yes" or "no". &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;The output capabilities are described in the following table:</verbatim></para><para><verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Capability &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;No output &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Device does not have the ability to display or communicate a 6-digit decimal number. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;Numeric output &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Device has the ability to display or communicate a 6-digit decimal number. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;The combined capability is defined in the following table:</verbatim></para><para><verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Input Capability &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;No Output &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Numeric Output  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;No input &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;NoInputNoOutput &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;DisplayOnly &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;Yes/No &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;NoInputNoOutput &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;DisplayYesNo &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;Keyboard &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;KeyboardOnly &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;KeyboardDisplay &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;For more details, refer to Bluetooth Core Spec 5.0, Vol 3, Part C, 5.2.2.4</verbatim></para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>IO parameter is of type cy_en_ble_gap_iocap_t.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates if the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying invalid input parameter &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="941" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1gae36d9df5db2ab94234084877e336206d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_SetSecurityRequirements</definition>
        <argsstring>(cy_stc_ble_gap_sec_req_t *param)</argsstring>
        <name>Cy_BLE_GAP_SetSecurityRequirements</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__gap__sec__req__t">cy_stc_ble_gap_sec_req_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function sets the security requirements of local device and encryption key size requirement of the local device. </para>        </briefdescription>
        <detaileddescription>
<para>This is a blocking function. No event is generated on calling this function. Application should call this function on receiving 'CY_BLE_EVT_STACK_ON' event. The Security requirements are defined in the following table:</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Security Requirement &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_GAP_NO_SECURITY_REQUIREMENTS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Default:Security requirement specifies there are no security requirements &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_GAP_SEC_UNAUTH_PAIRING &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Bit 0: Legacy pairing with NO MITM protection &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_GAP_SEC_AUTH_PAIRING &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Bit 1: Legacy pairing with MITM protection &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_GAP_SEC_SC_PAIRING_WITH_NO_MITM &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Bit 2: Secured Connection pairing with NO MITM protection &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_GAP_SEC_SC_PAIRING_WITH_MITM &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Bit 3: Secured Connection pairing with MITM protection &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_GAP_SEC_OOB_IN_LEGACY_PAIRING &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Bit 4: Legacy pairing with OOB method &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_GAP_SEC_OOB_IN_SC_PAIRING &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Bit 5: Secured Connection pairing with OOB method &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;The BLE Stack will check the received security request against the set security requirements during the pairing procedure. If the security requirements are not met, then pairing is rejected by the BLE Stack.</verbatim></para><para>For example: <ref kindref="member" refid="group__group__ble__common__api__gap__functions_1gae36d9df5db2ab94234084877e336206d">Cy_BLE_GAP_SetSecurityRequirements()</ref> is called with secReq as CY_BLE_GAP_SEC_SC_PAIRING_WITH_MITM. If the BLE Stack receives any pairing request with Secured Connection (SC) bit and MITM bit not set, then that pairing request will be rejected by the BLE stack.</para><para>Note: If the 'Secured Connection (SC) Only' mode is set, then these security requirements are not considered during pairing procedure. This is to maintain Backward Compatibility for SC Only mode.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>Parameter is a pointer to type <ref kindref="compound" refid="structcy__stc__ble__gap__sec__req__t">cy_stc_ble_gap_sec_req_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
secReq: The application can set multiple security requirements by ORing them in this parameter. For example: If secReq is (CY_BLE_GAP_SEC_UNAUTH_PAIRING | CY_BLE_GAP_SEC_SC_PAIRING_WITH_NO_MITM), then the BLE Stack allows pairing only if the received pairing request is either Legacy pairing with NO MITM or Secured Connection pairing with NO MITM.</para><para>encKeySize: Encryption key size requirement of the local device. This parameter does not affect pairing procedure on the central side. At the peripheral side, if the negotiated key size is less than the key size set by this function, then the BLE Stack will reject the pairing request.</para><para><simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates if the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying invalid input parameter &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="998" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1ga565b57b6b188dff037bca2e16108ef7e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_SetOobData</definition>
        <argsstring>(cy_stc_ble_gap_oob_info_t *param)</argsstring>
        <name>Cy_BLE_GAP_SetOobData</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__gap__oob__info__t">cy_stc_ble_gap_oob_info_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function is used to set the Out of Band (OOB) presence flag and Out of Band (OOB) data received from peer device. </para>        </briefdescription>
        <detaileddescription>
<para>This function should be used by the application layer to enable Out Of Band bonding procedure for the specified device identified by 'bdHandle' This function should be called before initiating authentication or before responding to an authentication request to set OOB flag and data.</para><para>This is a blocking function. No event is generated on calling this function. <ref kindref="member" refid="group__group__ble__common__api__gap__functions_1ga37517edd3a25d9dc01c3028e62f311bc">Cy_BLE_GAP_GenerateOobData()</ref> function can be called to generate OOB data.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>parameter is of type <ref kindref="compound" refid="structcy__stc__ble__gap__oob__info__t">cy_stc_ble_gap_oob_info_t</ref>. param-&gt;oobData is ignored in case of the Legacy Pairing procedure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL as input parameter &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_NO_DEVICE_ENTITY &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;'bdHandle' does not represent known device entity &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="1030" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1ga5eaca2272b4e45a3f9cbec3357ac5871" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_GenerateBdAddress</definition>
        <argsstring>(cy_stc_ble_gap_bd_addr_info_t *param)</argsstring>
        <name>Cy_BLE_GAP_GenerateBdAddress</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__gap__bd__addr__info__t">cy_stc_ble_gap_bd_addr_info_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function generates either public or random address based on 'type' specified by param-&gt;'addrType'. </para>        </briefdescription>
        <detaileddescription>
<para>This function uses BLE Controller's random number generator to generate the random part of the Bluetooth device address.</para><para><ref kindref="member" refid="group__group__ble__common__api__gap__functions_1gad7fedee4c70d58f1dcd45541a47446e5">Cy_BLE_GAP_GenerateKeys()</ref> function can be called by application to generate IRK. Same IRK can be used in this function to generate Resolvable Private Address.</para><para>This is non-blocking function. Generated address is informed through 'CY_BLE_EVT_GAP_DEVICE_ADDR_GEN_COMPLETE' event.</para><para>Application should call <ref kindref="member" refid="group__group__ble__common__api__gap__functions_1ga69c4c5da715fc97616fdd9a2f26aaf01">Cy_BLE_GAP_SetBdAddress()</ref> function to set the generated address with BLE Stack.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>Buffer is of type <ref kindref="compound" refid="structcy__stc__ble__gap__bd__addr__info__t">cy_stc_ble_gap_bd_addr_info_t</ref>. param-&gt;irk: Buffer containing 128-bit 'IRK' data. This parameter is used only when param-&gt;addrType is set to CY_BLE_GAP_RANDOM_PRIV_RESOLVABLE_ADDR. param-&gt;addrType'. type of address to be generated.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL as input parameter. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INSUFFICIENT_RESOURCES &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If BLE Stack resources are unavailable. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;: Note1: param should point to valid memory location until completion of function is indicated via the CY_BLE_EVT_GAP_DEVICE_ADDR_GEN_COMPLETE event. Note2: To guarantees that this function generate different addresses every time, &lt;a href="group__group__ble__common___encryption__api__functions.html#group__group__ble__common___encryption__api__functions_1gaab640e0317548c6bf4c1351142f0cc77"&gt;Cy_BLE_GenerateRandomNumber()&lt;/a&gt; should be called first with unique seeds. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="1076" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1ga7bc79b7fd5102619c87101fc89b3d3dd" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_Disconnect</definition>
        <argsstring>(cy_stc_ble_gap_disconnect_info_t *param)</argsstring>
        <name>Cy_BLE_GAP_Disconnect</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__gap__disconnect__info__t">cy_stc_ble_gap_disconnect_info_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function is used to terminate the LE connection with specified peer device. </para>        </briefdescription>
        <detaileddescription>
<para>This function can be used by application in both GAP Central and GAP Peripheral role to send disconnect request to the peer device. This is a non-blocking function.</para><para>On disconnection, the following events are generated in order.<itemizedlist>
<listitem><para>CY_BLE_EVT_GATT_DISCONNECT_IND</para></listitem><listitem><para>CY_BLE_EVT_GAP_DEVICE_DISCONNECTED</para></listitem></itemizedlist>
</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>parameter is of type '<ref kindref="compound" refid="structcy__stc__ble__gap__disconnect__info__t">cy_stc_ble_gap_disconnect_info_t</ref> *' param-&gt;reason: Reason for Disconnection Note: The application shall preferably use CY_BLE_HCI_ERROR_OTHER_END_TERMINATED_USER (0x13) error code as the reason for disconnection when using the Cy_BLE_GAP_Disconnect API.</para></parameterdescription>
</parameteritem>
</parameterlist>
param-&gt;bdHandle: bd Handle of the remote device to be disconnected</para><para><simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If 'param' pointer is NULL &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_NO_DEVICE_ENTITY &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Device identified using 'bdHandle' does not exist &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED&lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Memory allocation failed &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INSUFFICIENT_RESOURCES &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;BLE Stack resources are unavailable &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="1116" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1ga4acc7abd5b472f1f9b0a6b945dfbfbd7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_GetPeerBdAddr</definition>
        <argsstring>(cy_stc_ble_gap_peer_addr_info_t *param)</argsstring>
        <name>Cy_BLE_GAP_GetPeerBdAddr</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__gap__peer__addr__info__t">cy_stc_ble_gap_peer_addr_info_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function reads the peer Bluetooth device address identified by 'bdHandle'. </para>        </briefdescription>
        <detaileddescription>
<para>This is a blocking function. No event is generated on calling this function.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>parameter is of type <ref kindref="compound" refid="structcy__stc__ble__gap__peer__addr__info__t">cy_stc_ble_gap_peer_addr_info_t</ref>, where param-&gt;bdHandle: Peer bdHandle param-&gt;bdAddr: Empty buffer where the peer Bluetooth device address will be stored.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL as input parameter for 'peerBdAddr'. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_NO_DEVICE_ENTITY &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Specified bdHandle does not map to any bdHandle entry in the BLE Stack. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="1145" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1ga75e6912caad81aad196c2ac66984afcb" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_GetPeerBdHandle</definition>
        <argsstring>(cy_stc_ble_gap_peer_addr_info_t *param)</argsstring>
        <name>Cy_BLE_GAP_GetPeerBdHandle</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__gap__peer__addr__info__t">cy_stc_ble_gap_peer_addr_info_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function reads the bdHandle of the peer device (identified by its BD address). </para>        </briefdescription>
        <detaileddescription>
<para>This is a blocking function. No event is generated on calling this function.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>parameter is of type <ref kindref="compound" refid="structcy__stc__ble__gap__peer__addr__info__t">cy_stc_ble_gap_peer_addr_info_t</ref>, where param-&gt;bdHandle: buffer where peer bdHandle will be stored, output parameter param-&gt;bdAddr: Peer Bluetooth device address will be stored.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates if the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL as input parameter for 'peerBdAddr' or 'bdHandle'. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_NO_DEVICE_ENTITY &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Specified device address does not map to any entry in BLE Stack. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="1174" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1ga1cd163ab2086f480c1ff99f88199af08" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_GetPeerDevSecurity</definition>
        <argsstring>(cy_stc_ble_gap_auth_info_t *param)</argsstring>
        <name>Cy_BLE_GAP_GetPeerDevSecurity</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__gap__auth__info__t">cy_stc_ble_gap_auth_info_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function enables the application to get the peer device security information identified by 'bdHandle', when the peer device is in bonded list. </para>        </briefdescription>
        <detaileddescription>
<para>This is a blocking function. No event is generated on calling this function.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a buffer of type '<ref kindref="compound" refid="structcy__stc__ble__gap__auth__info__t">cy_stc_ble_gap_auth_info_t</ref>' into which security information will be written. param-&gt;security (output parameter): It ignores LE Security mode. Security should be interpreted as MITM and no MITM as encryption is always supported if pairing is performed between two devices.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL as input parameter for 'authInfo'. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;An error occurred in the BLE Stack. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_NO_DEVICE_ENTITY &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Specified bdHandle does not map to any bdHandle entry in the BLE Stack. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="1205" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1gabcef580aa7f56f40c77b5268f3bbe83d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_GetPeerDevSecurityKeyInfo</definition>
        <argsstring>(cy_stc_ble_gap_sec_key_info_t *param)</argsstring>
        <name>Cy_BLE_GAP_GetPeerDevSecurityKeyInfo</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__gap__sec__key__info__t">cy_stc_ble_gap_sec_key_info_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function enables the application to know the key shared during the bonding procedure by a peer device upon completion of the bonding procedure. </para>        </briefdescription>
        <detaileddescription>
<para>This is a blocking function. No event is generated on calling this function.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>buffer is of type <ref kindref="compound" refid="structcy__stc__ble__gap__sec__key__info__t">cy_stc_ble_gap_sec_key_info_t</ref>, where peer device security information will be stored. param-&gt;SecKeyParam.bdHandle param-&gt;localKeysFlag : ignored param-&gt;exchangeKeysFlag : Keys exchanged by peer (output parameter)</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL as input parameter for 'keyInfo'. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;An error occurred in BLE Stack. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_NO_DEVICE_ENTITY &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Device identified using 'bdHandle' does not exist. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="1238" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1ga28e40dba59924d812f3ec091cdb4e807" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_GetLocalDevSecurityKeyInfo</definition>
        <argsstring>(cy_stc_ble_gap_sec_key_info_t *param)</argsstring>
        <name>Cy_BLE_GAP_GetLocalDevSecurityKeyInfo</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__gap__sec__key__info__t">cy_stc_ble_gap_sec_key_info_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function gets the local device's keys and key flags. </para>        </briefdescription>
        <detaileddescription>
<para>The IRK received from this function should be used as the input IRK for the function '<ref kindref="member" refid="group__group__ble__common__api__gap__functions_1ga5eaca2272b4e45a3f9cbec3357ac5871">Cy_BLE_GAP_GenerateBdAddress()</ref>' to generate Random Private Resolvable address. This is a blocking function. No event is generated on calling this function.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>buffer is of type <ref kindref="compound" refid="structcy__stc__ble__gap__sec__key__info__t">cy_stc_ble_gap_sec_key_info_t</ref>, where local device security information will be stored. param-&gt;SecKeyParam.bdHandle: keys corresponding to peer device param-&gt;localKeysFlag : ignored param-&gt;exchangeKeysFlag : Indicates the types of the keys exchanged with the peer</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL as input parameters &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_NO_DEVICE_ENTITY &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Device identified using 'bdHandle' does not exist. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="1270" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1ga2c380a2305481716c9a55d7331783769" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_SetSecurityKeys</definition>
        <argsstring>(cy_stc_ble_gap_sec_key_info_t *param)</argsstring>
        <name>Cy_BLE_GAP_SetSecurityKeys</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__gap__sec__key__info__t">cy_stc_ble_gap_sec_key_info_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function sets the security keys that are to be exchanged with a peer device during key exchange stage of the authentication procedure and sets it in the BLE Stack. </para>        </briefdescription>
        <detaileddescription>
<para>The application is expected to set new keys for new connections. By default, BLE Stack will use 'ZEROs' for the keys if not set by the application. The last set keys will be used by the BLE Stack during the pairing procedure.</para><para>This is a blocking function. No event is generated on calling this function. This function should be called before the pairing process begins, preferably after the event 'CY_BLE_EVT_GAP_DEVICE_CONNECTED or CY_BLE_EVT_GAP_ENHANCE_CONN_COMPLETE' is received.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>buffer is of type <ref kindref="compound" refid="structcy__stc__ble__gap__sec__key__info__t">cy_stc_ble_gap_sec_key_info_t</ref>, which contains the security keys information to be set to BLE Stack. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL as input parameter for 'keyInfo' &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_NO_DEVICE_ENTITY &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Device identified using 'bdHandle' does not exist. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;: Note1: idAddrInfo is ignored as it is device level information. Use &lt;a href="group__group__ble__common__api__gap__functions.html#group__group__ble__common__api__gap__functions_1ga39f3f8fe28c3e58ccc8f0132cb74e3fa"&gt;Cy_BLE_GAP_SetIdAddress()&lt;/a&gt; to set the ID address for the device. Note2: 'exchangeKeysFlag' flags will automatically be ignored if this does not match with the exchange key flag received for a peer during pairing process. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="1309" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1gad7fedee4c70d58f1dcd45541a47446e5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_GenerateKeys</definition>
        <argsstring>(cy_stc_ble_gap_sec_key_info_t *param)</argsstring>
        <name>Cy_BLE_GAP_GenerateKeys</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__gap__sec__key__info__t">cy_stc_ble_gap_sec_key_info_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function generates the security keys as per application requirement. </para>        </briefdescription>
        <detaileddescription>
<para>Generated Keys are informed through 'CY_BLE_EVT_GAP_KEYS_GEN_COMPLETE' This function does not generate identity address (keyInfo-&gt;idAddrInfo)</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>buffer is of type <ref kindref="compound" refid="structcy__stc__ble__gap__sec__key__info__t">cy_stc_ble_gap_sec_key_info_t</ref>, where generated keys are store. param-&gt;SecKeyParam.bdHandle: parameter ignored param-&gt;exchangeKeysFlag : parameters ignored</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL as input parameter for 'param' &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INSUFFICIENT_RESOURCES &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If BLE Stack resources are unavailable. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Note1: param should point to a valid memory location until completion of function is indicated via CY_BLE_EVT_GAP_KEYS_GEN_COMPLETE event. Note2: &lt;a href="group__group__ble__common___encryption__api__functions.html#group__group__ble__common___encryption__api__functions_1gaab640e0317548c6bf4c1351142f0cc77"&gt;Cy_BLE_GenerateRandomNumber()&lt;/a&gt; should be called every time with unique seeds before calling this function to guarantee different keys, &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="1345" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1gad271113f2262fdf3481698204dffc5ed" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_AuthReq</definition>
        <argsstring>(cy_stc_ble_gap_auth_info_t *param)</argsstring>
        <name>Cy_BLE_GAP_AuthReq</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__gap__auth__info__t">cy_stc_ble_gap_auth_info_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function starts authentication/pairing procedure with the peer device. </para>        </briefdescription>
        <detaileddescription>
<para>It is a non-blocking function.</para><para>If the local device is a GAP Central, the pairing request is sent to the GAP Peripheral device. On receiving CY_BLE_EVT_GAP_AUTH_REQ event, GAP Peripheral is expected to respond by invoking the <ref kindref="member" refid="group__group__ble__common__api__gap__peripheral__functions_1gafd058b11ddcf322f0389c51917465334">Cy_BLE_GAPP_AuthReqReply()</ref> function.</para><para>If the local device is GAP Peripheral, a Security Request is sent to GAP Central device to initiate pairing. On receiving CY_BLE_EVT_GAP_AUTH_REQ event, the GAP Central device should initiate pairing by invoking '<ref kindref="member" refid="group__group__ble__common__api__gap__functions_1gad271113f2262fdf3481698204dffc5ed">Cy_BLE_GAP_AuthReq()</ref>' function.</para><para>Following events may occur during pairing procedure, if the function call resulted in CY_BLE_SUCCESS:</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Event Name &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_EVT_GAP_SMP_NEGOTIATED_AUTH_INFO&lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;SMP has completed pairing properties (feature exchange) negotiation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_EVT_GAP_KEYINFO_EXCHNGE_CMPLT &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;SMP keys exchange with peer device is completed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_EVT_GAP_ENCRYPT_CHANGE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;When there is a change in encryption after pairing procedure. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_EVT_GAP_AUTH_COMPLETE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Received by both GAP Central and Peripheral devices (peers) on successful authentication. Data of type '&lt;a href="structcy__stc__ble__gap__auth__info__t.html#"&gt;cy_stc_ble_gap_auth_info_t&lt;/a&gt;' is returned as event parameter. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_EVT_GAP_AUTH_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Received by both GAP Central and Peripheral devices (peers) on authentication failure. Data of type 'cy_en_ble_gap_auth_failed_reason_t' is returned as event parameter. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;Based on IO capabilities and security modes, following events may occur during pairing procedure.</verbatim></para><para><verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Event Name  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_EVT_GAP_PASSKEY_DISPLAY_REQUEST &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_EVT_GAP_KEYPRESS_NOTIFICATION &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_EVT_GAP_NUMERIC_COMPARISON_REQUEST &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a variable of type '<ref kindref="compound" refid="structcy__stc__ble__gap__auth__info__t">cy_stc_ble_gap_auth_info_t</ref>'. Param-&gt;security can take the value from enum cy_en_ble_gap_sec_level_t. NOTE: If the bonding flag in param is set to CY_BLE_GAP_BONDING_NONE, then SMP keys will not be distributed even if the application has generated and set the keys explicitly.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If 'param' pointer is NULL or if any of the element of this structure is invalid &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_NO_DEVICE_ENTITY &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Device identified using 'bdHandle' does not exist &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED&lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Memory allocation failed &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INSUFFICIENT_RESOURCES &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Number of devices that can be bonded is exhausted &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="1406" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1ga2941efce20999f46c10e95d9e10dd61c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_AuthPassKeyReply</definition>
        <argsstring>(cy_stc_ble_gap_auth_pk_info_t *param)</argsstring>
        <name>Cy_BLE_GAP_AuthPassKeyReply</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__gap__auth__pk__info__t">cy_stc_ble_gap_auth_pk_info_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function sends a passkey for authentication. </para>        </briefdescription>
        <detaileddescription>
<para>It is a non-blocking function.</para><para>This function should be called to pass 6 digit passkey in reply to passkey entry request event CY_BLE_EVT_GAP_PASSKEY_ENTRY_REQUEST received by the BLE Stack. This function is used to accept the passkey request and send the passkey or reject the passkey request.</para><para><itemizedlist>
<listitem><para>If the authentication operation succeeds, the CY_BLE_EVT_GAP_AUTH_COMPLETE is generated. If the authentication process times out, the CY_BLE_EVT_TIMEOUT event is generated.</para></listitem><listitem><para>If the authentication fails, the CY_BLE_EVT_GAP_AUTH_FAILED event is generated.</para></listitem></itemizedlist>
</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to security information of the device, of type <ref kindref="compound" refid="structcy__stc__ble__gap__auth__pk__info__t">cy_stc_ble_gap_auth_pk_info_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If param pointer is NULL &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_NO_DEVICE_ENTITY &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Device identified using 'bdHandle' does not exist. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If CY_BLE_EVT_GAP_PASSKEY_ENTRY_REQUEST event is not received before this function call &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="1443" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1ga71b51a47c9a07cd6fe5134fb30710648" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_FixAuthPassKey</definition>
        <argsstring>(cy_stc_ble_gap_auth_fix_pk_info_t *param)</argsstring>
        <name>Cy_BLE_GAP_FixAuthPassKey</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__gap__auth__fix__pk__info__t">cy_stc_ble_gap_auth_fix_pk_info_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function Sets or clears a fixed passkey to be used during authenticated pairing procedure. </para>        </briefdescription>
        <detaileddescription>
<para>This is a blocking function. No event is generated on calling this function.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;: Note1: The fixed passkey will work only if local device has IO capability as display only and peer device's IO capability is keyboard only.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;Note2: The fixed passkey is not persistent across power cycle. Note3: This function should not be called during an ongoing pairing procedure. This function should preferably be called on CY_BLE_EVT_STACK_ON event.</verbatim></para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>Parameter is of type '<ref kindref="compound" refid="structcy__stc__ble__gap__auth__fix__pk__info__t">cy_stc_ble_gap_auth_fix_pk_info_t</ref>'</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If any of input parameters is invalid. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="1475" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1ga01b01751fec1f4e47a827e4a84b40e2c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_SetSecureConnectionsOnlyMode</definition>
        <argsstring>(cy_stc_ble_gap_sc_mode_info_t *param)</argsstring>
        <name>Cy_BLE_GAP_SetSecureConnectionsOnlyMode</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__gap__sc__mode__info__t">cy_stc_ble_gap_sc_mode_info_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function sets the BLE Stack to use Secure Connection Only mode for pairing. </para>        </briefdescription>
        <detaileddescription>
<para>If device is in Secure Connection Only mode, it will allow pairing to complete only with Secure Connection Security mode. Non Secure Connection Security pairing will lead to pairing failure with reason "Authentication requirement not met".</para><para>This function should be called after CY_BLE_EVT_STACK_ON event, before making LE connection. Secure Connection Only mode is not persistent across power cycles. However it is persistent across BLE Stack shutdown-init cycles.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>Parameter is of type '<ref kindref="compound" refid="structcy__stc__ble__gap__sc__mode__info__t">cy_stc_ble_gap_sc_mode_info_t</ref>' bdHandle should be ignored.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Secure connections feature mask is not set through Cy_BLE_StackSetFeatureConfig(). &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If 'param' is NULL or 'state' value is invalid. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;Note: This is device level policy and does not depend on bdHandle. </verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="1510" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1gaf79df714437d3fc58fc653641fafd80a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_GenerateSetLocalP256Keys</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_GAP_GenerateSetLocalP256Keys</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>This function is used to generate and set P-256 Public-Private key pair to be used during LE Secure connection pairing procedure. </para>        </briefdescription>
        <detaileddescription>
<para>Application may choose to generate a P-256 public-private key pair before pairing process starts. If this function is not called before pairing process starts, the BLE Stack will use a debug public-private key pair defined in Bluetooth Core specification. Successful completion is informed by CY_BLE_EVT_GAP_GEN_SET_LOCAL_P256_KEYS_COMPLETE event. Event parameter contains the keys that are generated and set for LE Secure connection pairing procedure.</para><para>For robust security Cypress recommends that, the application may change the local public-private key pair after:<orderedlist>
<listitem><para>Every pairing (successful or failed) attempt, OR</para></listitem><listitem><para>After any of the following: a. Three failed attempts to pair from a BD_ADDR b. Ten successful attempts to pair from a BD_ADDR c. Any combination of the above such that three successful pairing attempts count as one failed pairing attempt.</para></listitem></orderedlist>
</para><para>For details, refer to Bluetooth core specification 4.2, Volume 3, part H, section 2.3.6.</para><para>It is a non-blocking function.</para><para><simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Pairing is in progress or Secure Connections feature is not enabled. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INSUFFICIENT_RESOURCES &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;BLE Stack resources are unavailable. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="1552" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1ga51b74cb4589cdb7243b52b0728a4334c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_SetLocalP256Keys</definition>
        <argsstring>(cy_stc_ble_gap_smp_local_p256_keys_t *param)</argsstring>
        <name>Cy_BLE_GAP_SetLocalP256Keys</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__gap__smp__local__p256__keys__t">cy_stc_ble_gap_smp_local_p256_keys_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function is used to set a application provided P-256 Public-Private key pair to be used during the LE Secure connection pairing procedure. </para>        </briefdescription>
        <detaileddescription>
<para>The application may choose to set a P-256 public-private key pair before the pairing process starts. If this function is not called before the pairing process starts, the BLE Stack will use a debug public-private key pair defined in Bluetooth Core specification. This function is not expected to be called when a pairing procedure is in progress.</para><para>For robust security Cypress recommends that, the application may change the local public-private key pair after:<orderedlist>
<listitem><para>Every pairing (successful or failed) attempt, OR</para></listitem><listitem><para>After any of the following: a. Three failed attempts to pair from a BD_ADDR b. Ten successful attempts to pair from a BD_ADDR c. Any combination of the above such that three successful pairing attempts count as one failed pairing attempt.</para></listitem></orderedlist>
</para><para>For details, refer to Bluetooth core specification 4.2, Volume 3, part H, section 2.3.6.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to structure <ref kindref="compound" refid="structcy__stc__ble__gap__smp__local__p256__keys__t">cy_stc_ble_gap_smp_local_p256_keys_t</ref>, that has fields for local P-256 public-private key pair.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Parameter is NULL Or Public key is not valid &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Pairing is in progress. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="1593" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1ga60029e4f8eeaf5873b9fc02dc341d2ae" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_AuthSendKeyPress</definition>
        <argsstring>(cy_stc_ble_gap_sc_kp_notif_info_t *param)</argsstring>
        <name>Cy_BLE_GAP_AuthSendKeyPress</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__gap__sc__kp__notif__info__t">cy_stc_ble_gap_sc_kp_notif_info_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function is used to send the LE Secure connection key press notification to a peer device during secure connection pairing. </para>        </briefdescription>
        <detaileddescription>
<para>This function should be called by the application to inform the BLE Stack about the passkey entry process started for each digit: Started (0), entered (1), erased (2), cleared (3). Once all the digits are entered, application needs to call '<ref kindref="member" refid="group__group__ble__common__api__gap__functions_1ga2941efce20999f46c10e95d9e10dd61c">Cy_BLE_GAP_AuthPassKeyReply()</ref>'to inform the BLE Stack for passkey enter completed. An error will be returned if key press entry bit was not set in 'pairingProperties' of <ref kindref="compound" refid="structcy__stc__ble__gap__auth__info__t">cy_stc_ble_gap_auth_info_t</ref> during the authentication procedure and this function is called.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>Parameter is of type '<ref kindref="compound" refid="structcy__stc__ble__gap__sc__kp__notif__info__t">cy_stc_ble_gap_sc_kp_notif_info_t</ref>'</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If 'param' is NULL or notificationType is invalid. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If keypress was not negotiated or Secured Connection is not enabled or passkey entry procedure or pairing procedure is not in progress. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="1622" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1ga37517edd3a25d9dc01c3028e62f311bc" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_GenerateOobData</definition>
        <argsstring>(cy_stc_ble_gap_sc_oob_info_t *param)</argsstring>
        <name>Cy_BLE_GAP_GenerateOobData</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__gap__sc__oob__info__t">cy_stc_ble_gap_sc_oob_info_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function is used to generate OOB information to be used by the peer device. </para>        </briefdescription>
        <detaileddescription>
<para>This function uses a 16-byte random number input to generate the OOB information. The application should share generated OOB information with the peer device using Out Of Band Mechanism.</para><para>function completion is informed through 'CY_BLE_EVT_GAP_OOB_GENERATED_NOTIFICATION' event. Note: This function must be used only during LE Secured Connection pairing.</para><para>The application should use Cy_BLE_GAP_SetOobData function to set the OOB data of peer device in the BLE Stack.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>parameter is of type '<ref kindref="compound" refid="structcy__stc__ble__gap__sc__oob__info__t">cy_stc_ble_gap_sc_oob_info_t</ref>'. If 'param-&gt;rand' is NULL, BLE Stack will generate 16 Bytes random number and then will generate OOB data.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If 'param' is NULL. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INSUFFICIENT_RESOURCES &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;BLE Stack resources are unavailable. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_NO_DEVICE_ENTITY &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Device identified using 'bdHandle' does not exist. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Sufficient memory is not available to handle this request. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="1659" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1ga69c4c5da715fc97616fdd9a2f26aaf01" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_SetBdAddress</definition>
        <argsstring>(cy_stc_ble_gap_bd_addr_t *param)</argsstring>
        <name>Cy_BLE_GAP_SetBdAddress</name>
        <param>
          <type><ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1ga07cab4d5612bd17499ed3ddee947bfdb">cy_stc_ble_gap_bd_addr_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function informs Bluetooth device address to BLE Stack for its operation. </para>        </briefdescription>
        <detaileddescription>
<para>This address shall be used for all BLE procedures unless changed by the application. The application layer must call this function every time an address change is required. Application can change its private address periodically, with the period being decided by the application, there are no limits specified on this period. The application layer should maintain its own timers in order to do this.</para><para>The application should first generate public or random address using <ref kindref="member" refid="group__group__ble__common__api__gap__functions_1ga5eaca2272b4e45a3f9cbec3357ac5871">Cy_BLE_GAP_GenerateBdAddress()</ref> function and then should call <ref kindref="member" refid="group__group__ble__common__api__gap__functions_1ga69c4c5da715fc97616fdd9a2f26aaf01">Cy_BLE_GAP_SetBdAddress()</ref> function to set the generated address.</para><para>If the application sets a public or random static address using this function, then the application should set the same address as the Identity address by calling Cy_BLE_GAP_SetIdAddress function.</para><para>This is a non blocking function and completion is informed through the 'CY_BLE_EVT_SET_DEVICE_ADDR_COMPLETE' event</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to type <ref kindref="compound" refid="structcy__stc__ble__bd__addr__t">cy_stc_ble_bd_addr_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL as input parameter. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INSUFFICIENT_RESOURCES &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If BLE Stack resources are unavailable. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="1699" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1ga31f27ae089d9f54ea46124e0bcacd6b8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_GetBdAddress</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_GAP_GetBdAddress</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>This function reads the Bluetooth device address currently used by BLE Stack. </para>        </briefdescription>
        <detaileddescription>
<para>This is non-blocking function.</para><para>The BD Address is informed through 'CY_BLE_EVT_GET_DEVICE_ADDR_COMPLETE' event.</para><para><simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INSUFFICIENT_RESOURCES &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If BLE Stack resources are unavailable. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="1725" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1ga39f3f8fe28c3e58ccc8f0132cb74e3fa" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_SetIdAddress</definition>
        <argsstring>(const cy_stc_ble_gap_bd_addr_t *param)</argsstring>
        <name>Cy_BLE_GAP_SetIdAddress</name>
        <param>
          <type>const <ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1ga07cab4d5612bd17499ed3ddee947bfdb">cy_stc_ble_gap_bd_addr_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function sets the device's identity address in the BLE Stack. </para>        </briefdescription>
        <detaileddescription>
<para>Calling this function will change only the identity address of the device. If the identity address is changed by user, this function needs to be called again to update the address in the BLE Stack.</para><para>If the public address or static random address is changed by the user, this function must be called to set the changed public address or static random address as the identity address.</para><para>This is a blocking function. No event is generated on calling this function.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the cy_stc_ble_gap_bd_addr_t structure variable. It has two fields where,<itemizedlist>
<listitem><para>param.addr: Bluetooth Device address buffer that is populated with the device address data.</para></listitem><listitem><para>param.type: Caller function should fill the "address type" to set appropriate address.</para></listitem></itemizedlist>
Caller function should use param.type = 0x00 to set the "Public
           Device Address" as identity address. <linebreak />
 Caller function use param.type = 0x01 to set the "Static Random 
           Device Address" as identity address.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL as input parameter. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="1768" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1ga9ad3835887793b1d993f27d1582604c1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_GetBondList</definition>
        <argsstring>(cy_stc_ble_gap_bonded_device_list_info_t *param)</argsstring>
        <name>Cy_BLE_GAP_GetBondList</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__gap__bonded__device__list__info__t">cy_stc_ble_gap_bonded_device_list_info_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function returns the count of bonded devices and the list of bonded devices with their BD address and bdHandle. </para>        </briefdescription>
        <detaileddescription>
<para>This is a blocking function. No event is generated on calling this function.</para><para>Note: The newest bonded device will be at the index 0 in the list.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to buffer to which list of bonded devices will be stored of type <ref kindref="compound" refid="structcy__stc__ble__gap__bonded__device__list__info__t">cy_stc_ble_gap_bonded_device_list_info_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL as input parameter. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;Note : Provide sufficient memory for 'param-&amp;gt;bdHandleAddrList' based on 'bondListSize' parameter that is passed during BLE Stack Initialization otherwise provided memory might be corrupted if memory is not sufficient to store all bonded device information. </verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="1801" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1ga13547d05aa361ee7b754792bbeeebd15" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_RemoveDeviceFromBondList</definition>
        <argsstring>(cy_stc_ble_gap_bd_addr_t *param)</argsstring>
        <name>Cy_BLE_GAP_RemoveDeviceFromBondList</name>
        <param>
          <type><ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1ga07cab4d5612bd17499ed3ddee947bfdb">cy_stc_ble_gap_bd_addr_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function removes the specified device from the bond list. </para>        </briefdescription>
        <detaileddescription>
<para>Successful operation is informed through 'CY_BLE_EVT_PENDING_FLASH_WRITE' event</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to peer device address, of type cy_stc_ble_gap_bd_addr_t. If the device address is set to 0, then all devices shall be removed from trusted white list.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL as input parameter for 'bdAddr'. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Operation is not permitted when device is in connected state. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="1829" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1ga8dd8f2851594f8512b09819e13bd1d7c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_RemoveOldestDeviceFromBondedList</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_BLE_GAP_RemoveOldestDeviceFromBondedList</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>This function removes the oldest device from the bond List. </para>        </briefdescription>
        <detaileddescription>
<para>If the device is connected to the oldest device and this function is called, it will remove the device that is oldest and not connected.</para><para>Successful operation is informed through 'CY_BLE_EVT_PENDING_FLASH_WRITE' event</para><para><simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded (0x0000) or failed. Following are the possible error codes returned.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MAX &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On failure operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="1856" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1ga2eb537fbee5806e6a325b81096c6bb59" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_SetCeLengthParam</definition>
        <argsstring>(cy_stc_ble_gap_ce_length_param_info_t *param)</argsstring>
        <name>Cy_BLE_GAP_SetCeLengthParam</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__gap__ce__length__param__info__t">cy_stc_ble_gap_ce_length_param_info_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function sets the connection event length to be used for a specific connection. </para>        </briefdescription>
        <detaileddescription>
<para>function completion is informed through the 'CY_BLE_EVT_SET_CE_LENGTH_COMPLETE' event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to type <ref kindref="compound" refid="structcy__stc__ble__gap__ce__length__param__info__t">cy_stc_ble_gap_ce_length_param_info_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded (0x0000) or failed. Following are the possible error codes returned.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL for input parameter. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_NO_DEVICE_ENTITY &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Incorrect bdHandle. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INSUFFICIENT_RESOURCES &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If BLE Stack resources are unavailable. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;Note1: The primary usage of this function is to allow application to control bandwidth by setting connection event lengths for specific connections. Note2: Application shall set ceLength to 0xFFFF to allow BLE Stack to internally use maximum possible bandwidth for this connection. </verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="1888" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__functions_1gae11049cc1da0686a4393e7db503ee282" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAP_SetConnectionPriority</definition>
        <argsstring>(cy_stc_ble_gap_set_conn_priority_param_t *param)</argsstring>
        <name>Cy_BLE_GAP_SetConnectionPriority</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__gap__set__conn__priority__param__t">cy_stc_ble_gap_set_conn_priority_param_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function sets the Controller connection priority to be used for a connection during arbitration. </para>        </briefdescription>
        <detaileddescription>
<para>Controller arbiter resolves radio contention based on the priority level of the contending connections. If one or more contending connections have the same priority level (default configuration), then a round-robin scheme is used to resolve contention. Priority value of 0x00 corresponds to highest priority and 0xFF is the lowest and default priority setting for a connection.</para><para>function completion is informed through the 'CY_BLE_EVT_SET_CONN_PRIORITY_COMPLETE' event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to type <ref kindref="compound" refid="structcy__stc__ble__gap__set__conn__priority__param__t">cy_stc_ble_gap_set_conn_priority_param_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded (0x0000) or failed. Following are the possible error codes returned.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL for input parameter. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_NO_DEVICE_ENTITY &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Incorrect bdHandle. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INSUFFICIENT_RESOURCES &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If BLE Stack resources are unavailable. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="1922" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>These are APIs common to both GAP Central role and GAP Peripheral role. </para>    </briefdescription>
    <detaileddescription>
<para>You may use them in either roles.</para><para>No letter is appended to the API name: Cy_BLE_GAP_ </para>    </detaileddescription>
  </compounddef>
</doxygen>